> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Delete an entry

DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/entries/{entry_id}

Reference: https://contentful.com/developers/docs/references/content-management-api/entries/delete-an-entry

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `entry_id` (string, required) — ID of the entry in form of a string

### Headers

- `X-Contentful-Version` (string, optional) — The last version of the entry you are updating

## Response

### 204

No Content - Request successful, no content returned

## Examples

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .entries()
    .async()
    .fetchOne(
        "<entry_id>",
        new CMACallback<CMAEntry>() {
          @Override protected void onSuccess(CMAEntry entry) {
            client
                .entries()
                .async()
                .delete(
                    entry,
                    new CMACallback<Integer>() {
                      @Override protected void onSuccess(Integer result) {
                        // Deleted.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful")
                            .setMessage("Deleting of an entry was successful." +
                                "\n\nResult: " + result)
                            .show();
                      }

                      @Override protected void onFailure(RuntimeException exception) {
                        // An error occurred! Inform the user.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful Error")
                            .setMessage("Could not delete an entry." +
                                "\n\nReason: " + exception.toString())
                            .show();

                        super.onFailure(exception);
                      }
                    }
                );
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not delete an entry." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

final CMAEntry entry =
    client
        .entries()
        .fetchOne("<entry_id>");

client
    .entries()
    .delete(entry);
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

val entry = client
        .entries()
        .fetchOne("<entry_id>")

client
        .entries()
        .delete(entry)
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment_id>'))
.then((environment) => environment.getEntry('<entry_id>'))
.then((entry) => entry.delete())
.then(() => console.log('Entry deleted.'))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

await client.entry.delete({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  entryId: '<entry_id>',
});
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$environment = $client->getEnvironmentProxy('<space_id>', '<environment_id>');

$entry = $environment->getEntry('<entry_id>');
$entry->delete();
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

entry = client.entries('<space_id>', '<environment_id>').find('<entry_id>')
entry.destroy
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

client.entries('<space_id>', '<environment_id>').delete('<entry_id>')

# Alternatively, with the entry already fetched:
entry = client.entries('<space_id>', '<environment_id>').find('<entry_id>')
entry.delete()
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var version = 4;
client.DeleteEntry("<entry_id>", version);
```